Index: tmp/org.txm.ruby.core/plugin.xml
===================================================================
--- tmp/org.txm.ruby.core/plugin.xml	(revision 0)
+++ tmp/org.txm.ruby.core/plugin.xml	(revision 2920)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.txm.core.engines.ScriptEngine">
+      <ScriptEngine
+            class="org.txm.ruby.core.RubyScriptEngine"
+            name="Ruby">
+      </ScriptEngine>
+      <ScriptEngine
+            class="org.txm.python.core.RubyScriptEngine"
+            name="Ruby">
+      </ScriptEngine>
+   </extension>
+
+</plugin>

Property changes on: tmp/org.txm.ruby.core/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.ruby.core/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.ruby.core/.settings/org.eclipse.jdt.core.prefs	(revision 2920)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: tmp/org.txm.ruby.core/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/.classpath
===================================================================
--- tmp/org.txm.ruby.core/.classpath	(revision 0)
+++ tmp/org.txm.ruby.core/.classpath	(revision 2920)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry exported="true" kind="lib" path="lib/jruby-complete-9.2.11.1.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.ruby.core/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ruby.core/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.ruby.core/META-INF/MANIFEST.MF	(revision 2920)
@@ -0,0 +1,239 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.ruby.core
+Bundle-SymbolicName: org.txm.ruby.core;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Bundle-Vendor: textometrie.org
+Automatic-Module-Name: org.txm.ruby.core
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.txm.core;bundle-version="0.8.1";visibility:=reexport
+Bundle-ClassPath: lib/jruby-complete-9.2.11.1.jar,
+ .
+Export-Package: com.headius.backport9.buffer,
+ com.headius.backport9.modules,
+ com.headius.backport9.modules.impl,
+ com.headius.backport9.platform,
+ com.headius.backport9.stack,
+ com.headius.backport9.stack.impl,
+ com.headius.invokebinder,
+ com.headius.invokebinder.transform,
+ com.headius.options,
+ com.headius.options.example,
+ com.jcraft.jzlib,
+ com.kenai.constantine,
+ com.kenai.constantine.platform,
+ com.kenai.jffi,
+ com.kenai.jffi.internal,
+ com.martiansoftware.nailgun,
+ com.martiansoftware.nailgun.builtins,
+ javax.annotation,
+ javax.annotation.security,
+ javax.annotation.sql,
+ jnr.constants,
+ jnr.constants.platform,
+ jnr.constants.platform.aix,
+ jnr.constants.platform.darwin,
+ jnr.constants.platform.dragonflybsd,
+ jnr.constants.platform.fake,
+ jnr.constants.platform.freebsd,
+ jnr.constants.platform.linux,
+ jnr.constants.platform.openbsd,
+ jnr.constants.platform.solaris,
+ jnr.constants.platform.windows,
+ jnr.enxio.channels,
+ jnr.ffi,
+ jnr.ffi.annotations,
+ jnr.ffi.byref,
+ jnr.ffi.mapper,
+ jnr.ffi.provider,
+ jnr.ffi.provider.converters,
+ jnr.ffi.provider.jffi,
+ jnr.ffi.provider.jffi.platform.aarch64.linux,
+ jnr.ffi.provider.jffi.platform.arm.linux,
+ jnr.ffi.provider.jffi.platform.i386.darwin,
+ jnr.ffi.provider.jffi.platform.i386.freebsd,
+ jnr.ffi.provider.jffi.platform.i386.linux,
+ jnr.ffi.provider.jffi.platform.i386.openbsd,
+ jnr.ffi.provider.jffi.platform.i386.solaris,
+ jnr.ffi.provider.jffi.platform.i386.windows,
+ jnr.ffi.provider.jffi.platform.mips.linux,
+ jnr.ffi.provider.jffi.platform.mipsel.linux,
+ jnr.ffi.provider.jffi.platform.ppc.aix,
+ jnr.ffi.provider.jffi.platform.ppc.darwin,
+ jnr.ffi.provider.jffi.platform.ppc.linux,
+ jnr.ffi.provider.jffi.platform.ppc64.linux,
+ jnr.ffi.provider.jffi.platform.ppc64le.linux,
+ jnr.ffi.provider.jffi.platform.s390.linux,
+ jnr.ffi.provider.jffi.platform.s390x.linux,
+ jnr.ffi.provider.jffi.platform.sparc.solaris,
+ jnr.ffi.provider.jffi.platform.sparcv9.linux,
+ jnr.ffi.provider.jffi.platform.sparcv9.solaris,
+ jnr.ffi.provider.jffi.platform.x86_64.darwin,
+ jnr.ffi.provider.jffi.platform.x86_64.dragonfly,
+ jnr.ffi.provider.jffi.platform.x86_64.freebsd,
+ jnr.ffi.provider.jffi.platform.x86_64.linux,
+ jnr.ffi.provider.jffi.platform.x86_64.openbsd,
+ jnr.ffi.provider.jffi.platform.x86_64.solaris,
+ jnr.ffi.provider.jffi.platform.x86_64.windows,
+ jnr.ffi.types,
+ jnr.ffi.util,
+ jnr.ffi.util.ref,
+ jnr.ffi.util.ref.internal,
+ jnr.netdb,
+ jnr.posix,
+ jnr.posix.util,
+ jnr.posix.windows,
+ jnr.unixsocket,
+ jnr.unixsocket.impl,
+ org.jcodings,
+ org.jcodings.ascii,
+ org.jcodings.constants,
+ org.jcodings.exception,
+ org.jcodings.specific,
+ org.jcodings.spi,
+ org.jcodings.transcode,
+ org.jcodings.transcode.specific,
+ org.jcodings.unicode,
+ org.jcodings.util,
+ org.joda.time,
+ org.joda.time.base,
+ org.joda.time.chrono,
+ org.joda.time.convert,
+ org.joda.time.field,
+ org.joda.time.format,
+ org.joda.time.tz,
+ org.joni,
+ org.joni.ast,
+ org.joni.bench,
+ org.joni.constants,
+ org.joni.constants.internal,
+ org.joni.exception,
+ org.jruby,
+ org.jruby.anno,
+ org.jruby.ant,
+ org.jruby.api,
+ org.jruby.ast,
+ org.jruby.ast.executable,
+ org.jruby.ast.java_signature,
+ org.jruby.ast.types,
+ org.jruby.ast.util,
+ org.jruby.ast.visitor,
+ org.jruby.common,
+ org.jruby.compiler,
+ org.jruby.compiler.impl,
+ org.jruby.compiler.util,
+ org.jruby.dirgra,
+ org.jruby.embed,
+ org.jruby.embed.bsf,
+ org.jruby.embed.internal,
+ org.jruby.embed.io,
+ org.jruby.embed.jsr223,
+ org.jruby.embed.osgi,
+ org.jruby.embed.osgi.internal,
+ org.jruby.embed.osgi.utils,
+ org.jruby.embed.util,
+ org.jruby.embed.variable,
+ org.jruby.exceptions,
+ org.jruby.ext,
+ org.jruby.ext.api,
+ org.jruby.ext.bigdecimal,
+ org.jruby.ext.cgi.escape,
+ org.jruby.ext.coverage,
+ org.jruby.ext.date,
+ org.jruby.ext.digest,
+ org.jruby.ext.etc,
+ org.jruby.ext.fcntl,
+ org.jruby.ext.ffi,
+ org.jruby.ext.ffi.io,
+ org.jruby.ext.ffi.jffi,
+ org.jruby.ext.fiber,
+ org.jruby.ext.io.wait,
+ org.jruby.ext.jruby,
+ org.jruby.ext.mathn,
+ org.jruby.ext.nkf,
+ org.jruby.ext.pathname,
+ org.jruby.ext.rbconfig,
+ org.jruby.ext.ripper,
+ org.jruby.ext.securerandom,
+ org.jruby.ext.set,
+ org.jruby.ext.socket,
+ org.jruby.ext.stringio,
+ org.jruby.ext.strscan,
+ org.jruby.ext.tempfile,
+ org.jruby.ext.thread,
+ org.jruby.ext.timeout,
+ org.jruby.ext.tracepoint,
+ org.jruby.ext.zlib,
+ org.jruby.gen,
+ org.jruby.internal.runtime,
+ org.jruby.internal.runtime.methods,
+ org.jruby.ir,
+ org.jruby.ir.dataflow,
+ org.jruby.ir.dataflow.analyses,
+ org.jruby.ir.instructions,
+ org.jruby.ir.instructions.boxing,
+ org.jruby.ir.instructions.defined,
+ org.jruby.ir.instructions.specialized,
+ org.jruby.ir.interpreter,
+ org.jruby.ir.listeners,
+ org.jruby.ir.operands,
+ org.jruby.ir.passes,
+ org.jruby.ir.persistence,
+ org.jruby.ir.persistence.util,
+ org.jruby.ir.representations,
+ org.jruby.ir.runtime,
+ org.jruby.ir.targets,
+ org.jruby.ir.transformations.inlining,
+ org.jruby.ir.util,
+ org.jruby.java.addons,
+ org.jruby.java.codegen,
+ org.jruby.java.dispatch,
+ org.jruby.java.invokers,
+ org.jruby.java.proxies,
+ org.jruby.java.util,
+ org.jruby.javasupport,
+ org.jruby.javasupport.binding,
+ org.jruby.javasupport.bsf,
+ org.jruby.javasupport.ext,
+ org.jruby.javasupport.proxy,
+ org.jruby.javasupport.util,
+ org.jruby.lexer,
+ org.jruby.lexer.yacc,
+ org.jruby.main,
+ org.jruby.management,
+ org.jruby.me.qmx.jitescript,
+ org.jruby.me.qmx.jitescript.util,
+ org.jruby.org.objectweb.asm,
+ org.jruby.org.objectweb.asm.commons,
+ org.jruby.org.objectweb.asm.signature,
+ org.jruby.org.objectweb.asm.tree,
+ org.jruby.org.objectweb.asm.tree.analysis,
+ org.jruby.org.objectweb.asm.util,
+ org.jruby.parser,
+ org.jruby.platform,
+ org.jruby.runtime,
+ org.jruby.runtime.backtrace,
+ org.jruby.runtime.builtin,
+ org.jruby.runtime.callback,
+ org.jruby.runtime.callsite,
+ org.jruby.runtime.component,
+ org.jruby.runtime.encoding,
+ org.jruby.runtime.invokedynamic,
+ org.jruby.runtime.ivars,
+ org.jruby.runtime.load,
+ org.jruby.runtime.marshal,
+ org.jruby.runtime.opto,
+ org.jruby.runtime.profile,
+ org.jruby.runtime.profile.builtin,
+ org.jruby.runtime.scope,
+ org.jruby.runtime.scopes,
+ org.jruby.specialized,
+ org.jruby.threading,
+ org.jruby.util,
+ org.jruby.util.cli,
+ org.jruby.util.collections,
+ org.jruby.util.func,
+ org.jruby.util.io,
+ org.jruby.util.log,
+ org.jruby.util.unsafe,
+ org.txm.ruby.core

Property changes on: tmp/org.txm.ruby.core/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/.project
===================================================================
--- tmp/org.txm.ruby.core/.project	(revision 0)
+++ tmp/org.txm.ruby.core/.project	(revision 2920)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.ruby.core</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.ruby.core/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/lib/jruby-complete-9.2.11.1.jar
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.ruby.core/lib/jruby-complete-9.2.11.1.jar
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyScriptEngine.java
===================================================================
--- tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyScriptEngine.java	(revision 0)
+++ tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyScriptEngine.java	(revision 2920)
@@ -0,0 +1,88 @@
+package org.txm.ruby.core;
+
+
+import java.io.File;
+import java.util.HashMap;
+
+import javax.script.ScriptEngineManager;
+import javax.script.ScriptException;
+import javax.script.SimpleBindings;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.txm.core.engines.ScriptEngine;
+import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
+
+/**
+ * 
+ * <pre>
+ * require 'java'
+
+puts 'Hello World!' + org.txm.Toolbox.workspace.getProjects().toString()
+ * </pre>
+ * 
+ * 
+ * @author mdecorde
+ *
+ */
+public class RubyScriptEngine extends ScriptEngine {
+	
+	public RubyScriptEngine() {
+		super("rb");
+	}
+	
+	@Override
+	public boolean isRunning() {
+		return true;
+	}
+	
+	@Override
+	public boolean initialize() throws Exception {
+		return true;
+	}
+	
+	@Override
+	public boolean start(IProgressMonitor monitor) throws Exception {
+		return true;
+	}
+	
+	@Override
+	public boolean stop() throws Exception {
+		return true;
+	}
+	
+	@Override
+	public IStatus executeScript(File script, HashMap<String, Object> env) {
+		try {
+			ScriptEngineManager manager = new ScriptEngineManager();
+			javax.script.ScriptEngine engine = manager.getEngineByName("jruby");
+			// engine.eval("puts 'Hello World!'");
+			SimpleBindings bindings = new SimpleBindings();
+			bindings.putAll(env);
+			engine.eval(IOUtils.getText(script), bindings);
+		}
+		catch (Exception e) {
+			Log.printStackTrace(e);
+			return Status.CANCEL_STATUS;
+		}
+		return Status.OK_STATUS;
+	}
+	
+	@Override
+	public IStatus executeText(String str, HashMap<String, Object> env) {
+		try {
+			ScriptEngineManager manager = new ScriptEngineManager();
+			javax.script.ScriptEngine engine = manager.getEngineByName("jruby");
+			engine.eval(str, new SimpleBindings(env));
+		}
+		catch (ScriptException e) {
+			Log.printStackTrace(e);
+			return Status.CANCEL_STATUS;
+		}
+		return Status.OK_STATUS;
+	}
+	
+	public static void main(String args[]) {}
+}

Property changes on: tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyScriptEngine.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyPreferences.java
===================================================================
--- tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyPreferences.java	(revision 0)
+++ tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyPreferences.java	(revision 2920)
@@ -0,0 +1,22 @@
+package org.txm.ruby.core;
+
+import org.osgi.service.prefs.Preferences;
+import org.txm.core.preferences.TXMPreferences;
+
+public class RubyPreferences extends TXMPreferences {
+	
+	public static final String python_home = "ruby_home";
+	
+	
+	@Override
+	public void initializeDefaultPreferences() {
+		super.initializeDefaultPreferences();
+		
+		Preferences preferences = getDefaultPreferencesNode();
+		
+	}
+	
+	public static TXMPreferences getInstance() {
+		return new RubyPreferences();
+	}
+}

Property changes on: tmp/org.txm.ruby.core/src/org/txm/ruby/core/RubyPreferences.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.ruby.core/build.properties
===================================================================
--- tmp/org.txm.ruby.core/build.properties	(revision 0)
+++ tmp/org.txm.ruby.core/build.properties	(revision 2920)
@@ -0,0 +1,6 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml,\
+               lib/jruby-complete-9.2.11.1.jar

Property changes on: tmp/org.txm.ruby.core/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

